Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class Compile

    java.lang.Object
      net.sf.saxon.Compile

    public class Compile

extends Object

This Compile class provides a command-line interface allowing a stylesheet to be compiled.

Author:
  M.H.Kay

Constructor Summary
`Compile()`

Method Summary
`static void` | `main(String[] args)` Main program, can be used directly from the command line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Compile

    public Compile()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Compile [options] style-file output-file

  This program compiles the XSL style sheet in style-file to the output-file.

  Parameters:
    `args` - Arguments supplied on the command line
  Throws:
    `Exception` - Any compilation error occurs

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.